View Issue Details

IDProjectCategoryView StatusLast Update
0001841SymmetricDSBugpublic2014-07-29 16:50
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.2 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001841: Update registration request doesn't work on sql server with the latest microsoft jdbc driver
DescriptionUpdate registration request doesn't work on sql server with the latest microsoft jdbc driver

org.jumpmind.db.sql.SqlException: Operand type clash: varbinary is incompatible with text
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:288)
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:279)
    at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:421)
    at org.jumpmind.db.sql.JdbcSqlTemplate.update(JdbcSqlTemplate.java:289)
    at org.jumpmind.db.sql.AbstractSqlTemplate.update(AbstractSqlTemplate.java:212)
    at org.jumpmind.symmetric.service.impl.RegistrationService.saveRegisgtrationRequest(RegistrationService.java:315)
    at org.jumpmind.symmetric.service.impl.RegistrationService.processRegistration(RegistrationService.java:246)
    at org.jumpmind.symmetric.service.impl.RegistrationService.registerPullOnlyNode(RegistrationService.java:119)
    at org.jumpmind.symmetric.web.rest.RestService.postRegisterNode(RestService.java:817)
    at org.jumpmind.symmetric.web.rest.RestService.postRegisterNode(RestService.java:796)
    at org.jumpmind.symmetric.test.NonDmlEventsTest.testRoutingOfReloadEvents(NonDmlEventsTest.java:178)
    at org.jumpmind.symmetric.test.NonDmlEventsTest.test(NonDmlEventsTest.java:166)
    at org.jumpmind.symmetric.test.AbstractTest.test(AbstractTest.java:120)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
    at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
    at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
    at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
    at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
    at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
    at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
    at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
    at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
    at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
    at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
    at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
    at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
    at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
    at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:53)
    at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:123)
    at org.apache.maven.surefire.junit4.JUnit4Provider.invoke(JUnit4Provider.java:104)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.apache.maven.surefire.util.ReflectionUtils.invokeMethodWithArray(ReflectionUtils.java:164)
    at org.apache.maven.surefire.booter.ProviderFactory$ProviderProxy.invoke(ProviderFactory.java:110)
    at org.apache.maven.surefire.booter.SurefireStarter.invokeProvider(SurefireStarter.java:175)
    at org.apache.maven.surefire.booter.SurefireStarter.runSuitesInProcessWhenForked(SurefireStarter.java:81)
    at org.apache.maven.surefire.booter.ForkedBooter.main(ForkedBooter.java:68)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master eedd3a30

2014-07-28 13:52:32

chenson

Details Diff
0001841: Update registration request doesn't work on sql server with the latest microsoft jdbc driver
Also, fixed other sql server tests

0001841
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractTriggerRouterServiceTest.java Diff File
mod - symmetric-core/src/test/resources/test-schema.xml Diff File

Issue History

Date Modified Username Field Change
2014-07-28 13:51 chenson New Issue
2014-07-28 13:51 chenson Status new => assigned
2014-07-28 13:51 chenson Assigned To => chenson
2014-07-28 13:52 chenson Status assigned => resolved
2014-07-28 13:52 chenson Fixed in Version => 3.6.3
2014-07-28 13:52 chenson Resolution open => fixed
2014-07-28 14:00 chenson Changeset attached => SymmetricDS trunk r8516
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master eedd3a30